RHINO(1)

NAME
rhino - invokes the JavaScript shell for running scripts in batch mode or interactive

SYNOPSIS
rhino [options] script_filename_or_url [script_arguments]

DESCRIPTION
This manual page documents briefly the rhino command.

rhino is a start script for the rhino JavaScript shell which provides a simple way to run scripts in batch mode or an interactive environment for exploratory programming.

OPTIONS

-debug
    Generate debug information. This will set the optimization level to zero.

-e script_source
    Executes script_source as a JavaScript script.

-encoding characterEncoding
    Set the character encoding to apply in case it could not be detected.

-f script_filename_or_url
    Reads script_filename_or_url content and execute it as a JavaScript script.

-fatal-warnings
    Set warnings as errors.

-help, -?
    Display help.

-modules module
    Add a module to the path.

-opt, -O optLevel
    Optimizes at level optLevel, which must be an integer between 0 and 9.

-require
    Use require().

-sandbox
    The created require() instances will be sandboxed.

-sealedlib
    Use a sealed standard library.

-strict
    Set strict mode.

-version versionNumber
    Specifies the language version to compile with. It must be one of 100, 110, 120, 130, 140, 150, 160, 170, 180 or 200.

-w  Report warnings.

PREDEFINED PROPERTIES
Scripts executing in the shell have access to some additional properties of the top-level object.

arguments
    The arguments object is an array containing the strings of all the arguments given at the command line when the shell was invoked.

help()
    Executing the help function will print usage and help messages.

defineClass(className)
    Define an extension using the Java class named with the string argument className. Uses ScriptableObject.defineClass() to define the extension.

deserialize(filename)
    Restore from the specified file an object previously written by a call to serialize.

load([filename,...])
    Load JavaScript source files named by string arguments. If multiple arguments are given, each file is read in and executed in turn.

loadClass(className)
    Load and execute the class named by the string argument className. The class must be a class that implements the Script interface, as will any script compiled by jsc.

print([expr...])
    Evaluate and print expressions. Evaluates each expression, converts the result to a string, and prints it.

readFile(path[,characterCoding])
    Read given file and convert its bytes to a string using the specified character coding or default character coding if explicit coding argument is not given.

readUrl(url[,characterCoding])
    Open an input connection to the given string url, read all its bytes and convert them to a string using the specified character coding or default character coding if explicit coding argument is not given.

runCommand(commandName,[arg,...][options])
    Execute the specified command with the given argument and options as a separate process and return the exit status of the process. For details, see JavaDoc for org.mozilla.javascript.tools.shell.Global#runCommand.

setTimeout(function[,delay,arg,...])
    Execute "function" after "delay" milliseconds. (If "delay" is not set, then it is set to 0.) Pass any trailing parameters as arguments. Timeouts run after the current function is done executing, and in the interactive shell, only after the shell is exited. Return an ID that may be passed to "clearTimeout".

clearTimeout(id)
    Cancel a timeout set using "setTimeout".

serialize(object,filename)
    Serialize the given object to the specified file.

spawn(functionOrScript)
    Run the given function or script in a different thread.

sync(function)
    creates a synchronized function (in the sense of a Java synchronized method) from an existing function. The new function synchronizes on the this object of its invocation.

quit()
    Quit shell. The shell will also quit in interactive mode if an end-of-file character is typed at the prompt.

version([number])
    Get or set JavaScript version number. If no argument is supplied, the current version number is returned. If an argument is supplied, it is expected to be one of 100, 110, 120, 130, 150, 160, 170, 180 or 200 to indicate JavaScript version 1.0, 1.1, 1.2, 1.3, 1.4, 1.5, 1.6, 1.7, 1.8 or ECMAScript 6 respectively.

write([expr...])
    Evaluate and print expressions like in "print", but without the trailing newline.

SEE ALSO
The archived online documentation under https://developer.mozilla.org/en-US/docs/Mozilla/Projects/Rhino/Shell (https://web.archive.org/web/20210507045220/https://developer.mozilla.org/en-US/docs/Mozilla/Projects/Rhino/Shell)

AUTHOR
This manual page was created by Wolfgang Baer <WBaer@gmx.de>, see Git history for later modifications.